Create code generator

​

Creates a new code generator

Body

application/json
  • Properties: 7

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1.0/codegen
curl https://api.sparkfly.com/v1.0/codegen \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'X-Auth-Token: YOUR_SECRET_TOKEN' \
  --data '{
  "code_generator": {
    "generation_type": "sparkfly",
    "buffer_type": "default",
    "code_length": 1,
    "description": "",
    "prefix": "",
    "store_id": 1,
    "status": "active"
  }
}'
{
  "code_generator": {
    "generation_type": "sparkfly",
    "buffer_type": "default",
    "code_length": 1,
    "description": "string",
    "prefix": "string",
    "store_id": 1,
    "status": "active",
    "id": 1,
    "account_id": 1,
    "created_at": "string",
    "updated_at": "string"
  }
}